import 'package:syncrow_web/pages/spaces_management/space_model/models/tag_model.dart';

class SubspaceTemplateModel {
  final String? uuid;
  String subspaceName;
  final bool disabled;
  List<TagModel>? tags;

  SubspaceTemplateModel({
    this.uuid,
    required this.subspaceName,
    required this.disabled,
    this.tags,
  });

  factory SubspaceTemplateModel.fromJson(Map<String, dynamic> json) {
    return SubspaceTemplateModel(
      uuid: json['uuid'] ?? '',
      subspaceName: json['subspaceName'] ?? '',
      disabled: json['disabled'] ?? false,
      tags: (json['tags'] as List<dynamic>?)
              ?.map((item) => TagModel.fromJson(item))
              .toList() ??
          [],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'uuid': uuid,
      'subspaceName': subspaceName,
      'disabled': disabled,
      'tags': tags?.map((e) => e.toJson()).toList() ?? [],
    };
  }
}
