import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class SubspaceChipWidget extends StatelessWidget {
  final String subspace;

  const SubspaceChipWidget({
    Key? key,
    required this.subspace,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Chip(
      label: Text(
        subspace,
        overflow: TextOverflow.ellipsis,
        maxLines: 1,
      ),
      backgroundColor: ColorsManager.textFieldGreyColor,
      labelStyle: Theme.of(context)
          .textTheme
          .bodySmall
          ?.copyWith(color: ColorsManager.spaceColor),
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(8),
        side: const BorderSide(
          color: ColorsManager.transparentColor,
          width: 0,
        ),
      ),
    );
  }
}
